#include <bits/stdc++.h>
#include "testlib.h"
 
using namespace std;
#define all(x) x.begin(), x.end()
// const int SUMK = 100'000;
const long long MAXM = 200'000'000'000'000LL;
 
int main(int argc, char** argv) {
    registerGen(argc, argv, 1);
    int T = 322;
    println(T);
    int diff = opt<int>("diff", 0);
    int MAX = opt<int>("MAX", (int)1e9);
    for (int i = 0; i < T; i++){
        println(rnd.next((1 << 29) - 1025,MAX));
    }
    return 0;
}
